# Copyright 2009 Mel Wilson
# This file is part of SysvIpcMsg.

# SysvIpcMsg is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# SysvIpcMsg is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with SysvIpcMsg.  If not, see <http://www.gnu.org/licenses/>.
'''
$Id$'''

from distutils.core import setup, Extension

module1 = Extension('_sysvipcmsg',
                    sources = ['_sysvipcmsg.c'])

setup (name = 'SysvIpcMsg',
       version = '1.0',
       description = 'Python access to System V IPC message functions.',
       author = 'Mel Wilson',
       author_email = 'mwilson@the-wire.com',
       license = 'GNU Public License version 3',
       ext_modules = [module1],
       )

